/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package view;

import Model.LoginModel;
import dao.LoginDAO;
import static java.lang.Integer.parseInt;
import java.util.List;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;

/**
 *
 * @author PauloGouveia
 */
public class BuscaDeLogin extends javax.swing.JFrame {

    /**
     * Creates new form BuscaDeLogin
     */
    public BuscaDeLogin() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jPanel2 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        TabelaDeLogin = new javax.swing.JTable();
        excluirLoginBtn = new javax.swing.JButton();
        buscarLoginBtn = new javax.swing.JButton();
        voltarLoginBtn = new javax.swing.JButton();
        codigoLoginTxt = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("TELA DE BUSCA LOGIN");
        setResizable(false);

        jPanel1.setBackground(new java.awt.Color(51, 51, 51));

        jPanel2.setBackground(new java.awt.Color(0, 102, 102));

        jLabel1.setFont(new java.awt.Font("Baskerville Old Face", 3, 36)); // NOI18N
        jLabel1.setText("Lista de Login");
        jLabel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(341, 341, 341)
                .addComponent(jLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, 287, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(351, Short.MAX_VALUE))
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addComponent(jLabel1)
                .addContainerGap(36, Short.MAX_VALUE))
        );

        TabelaDeLogin.setBackground(new java.awt.Color(0, 153, 153));
        TabelaDeLogin.setFont(new java.awt.Font("Baskerville Old Face", 1, 18)); // NOI18N
        TabelaDeLogin.setForeground(new java.awt.Color(255, 255, 255));
        TabelaDeLogin.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {

            },
            new String [] {
                "Código Login", "Usuario", "Senha"
            }
        ) {
            boolean[] canEdit = new boolean [] {
                false, false, false
            };

            public boolean isCellEditable(int rowIndex, int columnIndex) {
                return canEdit [columnIndex];
            }
        });
        TabelaDeLogin.setSelectionBackground(new java.awt.Color(0, 204, 204));
        TabelaDeLogin.setSelectionForeground(new java.awt.Color(0, 0, 0));
        TabelaDeLogin.setShowHorizontalLines(true);
        TabelaDeLogin.setShowVerticalLines(true);
        jScrollPane1.setViewportView(TabelaDeLogin);

        excluirLoginBtn.setBackground(new java.awt.Color(0, 102, 102));
        excluirLoginBtn.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/Trash_24px.png"))); // NOI18N
        excluirLoginBtn.setText("Excluir");
        excluirLoginBtn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                excluirLoginBtnActionPerformed(evt);
            }
        });

        buscarLoginBtn.setBackground(new java.awt.Color(0, 102, 102));
        buscarLoginBtn.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/Search_24px.png"))); // NOI18N
        buscarLoginBtn.setText("Busca");
        buscarLoginBtn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buscarLoginBtnActionPerformed(evt);
            }
        });

        voltarLoginBtn.setBackground(new java.awt.Color(0, 102, 102));
        voltarLoginBtn.setIcon(new javax.swing.ImageIcon(getClass().getResource("/images/Restart_24px.png"))); // NOI18N
        voltarLoginBtn.setText("Voltar");
        voltarLoginBtn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                voltarLoginBtnActionPerformed(evt);
            }
        });

        codigoLoginTxt.setToolTipText("CASO DESEJE DELETAR INFORME O CODIGO DO LOGIN");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGap(193, 193, 193)
                .addComponent(buscarLoginBtn)
                .addGap(109, 109, 109)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(codigoLoginTxt)
                    .addComponent(excluirLoginBtn))
                .addGap(108, 108, 108)
                .addComponent(voltarLoginBtn, javax.swing.GroupLayout.PREFERRED_SIZE, 92, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 315, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(22, 22, 22)
                .addComponent(codigoLoginTxt, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(excluirLoginBtn)
                    .addComponent(buscarLoginBtn)
                    .addComponent(voltarLoginBtn))
                .addGap(21, 21, 21))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 518, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 16, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void excluirLoginBtnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_excluirLoginBtnActionPerformed

        int resposta = JOptionPane.showConfirmDialog(null, "Deseja realmente excluir?", "Atenção!!", JOptionPane.YES_NO_OPTION);

        if (resposta == JOptionPane.YES_OPTION && TabelaDeLogin.getSelectedRow() != -1) {

            LoginDAO loginDao = new LoginDAO();
            LoginModel login = new LoginModel();

            login.setCodigoLogin(parseInt(codigoLoginTxt.getText()));

            loginDao.ExcluirLogin(login);

            JOptionPane.showMessageDialog(this, "Exclusão feita com sucesso!!", "Atenção!!", WIDTH);
            DefaultTableModel modeloPadrao = (DefaultTableModel) TabelaDeLogin.getModel();
            modeloPadrao.removeRow(TabelaDeLogin.getSelectedRow());

        } else if (resposta == JOptionPane.YES_OPTION && TabelaDeLogin.getSelectedRow() == -1) {
            JOptionPane.showMessageDialog(this, "Primeiro selecione uma linha e insira o código desejado!!", "Atenção!!", WIDTH);

        } else if (resposta == JOptionPane.NO_OPTION) {
            JOptionPane.showMessageDialog(this, "exclusão Cancelada!!", "Atenção!!", WIDTH);
        }

    }//GEN-LAST:event_excluirLoginBtnActionPerformed

    private void buscarLoginBtnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buscarLoginBtnActionPerformed
        LoginDAO loginDao = new LoginDAO();

        List<LoginModel> lista;
        lista = loginDao.listarTodosLogin();

        DefaultTableModel modeloPadrao = (DefaultTableModel) TabelaDeLogin.getModel();
        for (LoginModel login : lista) {
            modeloPadrao.addRow(new Object[]{
                login.getCodigoLogin(),
                login.getUsuario(),
                login.getSenha()

            });
        }
    }//GEN-LAST:event_buscarLoginBtnActionPerformed

    private void voltarLoginBtnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_voltarLoginBtnActionPerformed
        this.dispose();
    }//GEN-LAST:event_voltarLoginBtnActionPerformed

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(BuscaDeLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(BuscaDeLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(BuscaDeLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(BuscaDeLogin.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new BuscaDeLogin().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTable TabelaDeLogin;
    private javax.swing.JButton buscarLoginBtn;
    private javax.swing.JTextField codigoLoginTxt;
    private javax.swing.JButton excluirLoginBtn;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JButton voltarLoginBtn;
    // End of variables declaration//GEN-END:variables
}
